zenilib: vorbis_info_psy Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
vorbis_info_psy Struct Reference

`#include <psy.h>`

## Public Attributes

float | ath_adjatt
float | ath_maxatt
int | blockflag
float | max_curve_dB
float | noisecompand [NOISE_COMPAND_LEVELS]
int | noisemaskp
float | noisemaxsupp
float | noiseoff [P_NOISECURVES][P_BANDS]
int | noisewindowfixed
float | noisewindowhi
int | noisewindowhimin
float | noisewindowlo
int | noisewindowlomin
int | normal_p
int | normal_partition
int | normal_start
double | normal_thresh
float | tone_abs_limit
float | tone_centerboost
float | tone_decay
float | tone_masteratt [P_NOISECURVES]
float | toneatt [P_BANDS]

## Detailed Description

Definition at line 36 of file psy.h.

## Member Data Documentation

float vorbis_info_psy::ath_adjatt

Definition at line 39 of file psy.h.

Referenced by _vp_tonemask(), and vorbis_encode_ath_setup().

float vorbis_info_psy::ath_maxatt

Definition at line 40 of file psy.h.

Referenced by _vp_tonemask(), and vorbis_encode_ath_setup().

int vorbis_info_psy::blockflag

Definition at line 37 of file psy.h.

Referenced by _vds_shared_init(), _vp_couple_quantize_normalize(), and vorbis_encode_psyset_setup().

float vorbis_info_psy::max_curve_dB

Definition at line 58 of file psy.h.

Referenced by seed_loop(), and vorbis_encode_tonemask_setup().

float vorbis_info_psy::noisecompand[NOISE_COMPAND_LEVELS]

Definition at line 56 of file psy.h.

Referenced by _vp_noisemask(), and vorbis_encode_compand_setup().

int vorbis_info_psy::noisemaskp

Definition at line 48 of file psy.h.

float vorbis_info_psy::noisemaxsupp

Definition at line 49 of file psy.h.

Referenced by _vp_offset_and_mix(), and vorbis_encode_noisebias_setup().

float vorbis_info_psy::noiseoff[P_NOISECURVES][P_BANDS]

Definition at line 55 of file psy.h.

Referenced by _vp_psy_init(), and vorbis_encode_noisebias_setup().

int vorbis_info_psy::noisewindowfixed

Definition at line 54 of file psy.h.

Referenced by _vp_noisemask(), and vorbis_encode_noisebias_setup().

float vorbis_info_psy::noisewindowhi

Definition at line 51 of file psy.h.

Referenced by _vp_psy_init().

int vorbis_info_psy::noisewindowhimin

Definition at line 53 of file psy.h.

Referenced by _vp_psy_init(), and vorbis_encode_noisebias_setup().

float vorbis_info_psy::noisewindowlo

Definition at line 50 of file psy.h.

Referenced by _vp_psy_init().

int vorbis_info_psy::noisewindowlomin

Definition at line 52 of file psy.h.

Referenced by _vp_psy_init(), and vorbis_encode_noisebias_setup().

int vorbis_info_psy::normal_p

Definition at line 60 of file psy.h.

Referenced by _vp_couple_quantize_normalize(), noise_normalize(), and vorbis_encode_psyset_setup().

int vorbis_info_psy::normal_partition

Definition at line 62 of file psy.h.

Referenced by _vp_couple_quantize_normalize(), and vorbis_encode_psyset_setup().

int vorbis_info_psy::normal_start

Definition at line 61 of file psy.h.

Referenced by noise_normalize(), and vorbis_encode_psyset_setup().

double vorbis_info_psy::normal_thresh

Definition at line 63 of file psy.h.

Referenced by noise_normalize(), and vorbis_encode_psyset_setup().

float vorbis_info_psy::tone_abs_limit

Definition at line 45 of file psy.h.

Referenced by max_seeds(), and vorbis_encode_peak_setup().

float vorbis_info_psy::tone_centerboost

Definition at line 43 of file psy.h.

Referenced by _vp_psy_init(), and vorbis_encode_tonemask_setup().

float vorbis_info_psy::tone_decay

Definition at line 44 of file psy.h.

Referenced by _vp_psy_init(), and vorbis_encode_tonemask_setup().

float vorbis_info_psy::tone_masteratt[P_NOISECURVES]

Definition at line 42 of file psy.h.

Referenced by _vp_offset_and_mix(), and vorbis_encode_tonemask_setup().

float vorbis_info_psy::toneatt[P_BANDS]

Definition at line 46 of file psy.h.

Referenced by _vp_psy_init(), and vorbis_encode_tonemask_setup().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/libvorbis/lib/psy.h